WMS error message is too short

2016-06-23 04:59 AM - Magnus Nilsson

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23057

Description

When connecting to a WMS, I get an error message that is too short.

History

#1 - 2016-07-04 05:26 AM - Richard Duivenvoorde

- Status changed from Open to Feedback

Hi Magnus,

can you try this service in latest master? I did a fix where some WMS servers returned an error instead of a legendgraphic-image when certain query

parameters existed double in the request, due to case-sensitivity: commit:543d521

It is also helpful if you provide the service-url so others can check and try to reproduce this.

I know of other possible problems, that can occur and try to collect them.

But please first check in current development version (or wait for 2.16 to come...)

The full url is shown in the debug information by the way, which is shown when you have a debug version.

#2 - 2016-07-10 12:48 AM - Magnus Nilsson

I used an internal WMS, so unfortunately, I will not be able to publish the service url. I am only able to use LTR versions of QGIS in this environment, so

unfortunately, I can not use 2.16. No admin rights, so I can´t install 2.16.

#3 - 2017-01-03 04:17 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

- Category set to Map Legend

Please try with the latest version of QGIS ltr (2.14.10 at the moment of this writing) there have been fixes about custom wms legends. There is also the

possibility that the server is not properly configured, but without service url is complicated to say.

Please reopen if necessary.
